/*
  Cycles through each RGB color.

  Example ready to use with ESP-8266.
  To use with other boards, replace pin numbers accordingly.
*/

int redPin = D5;
int greenPin = D6;
int bluePin = D7;

int brightness = 100;
int interval = 30;

void setup() {
  pinMode(redPin, OUTPUT);
  pinMode(greenPin, OUTPUT);
  pinMode(bluePin, OUTPUT);
}

void loop() {
  showRGB();
}

void showRGB() {
  for(int i = 0; i < brightness; i++) {
    analogWrite(redPin, i + 1);
    delay(interval);
  }
  for(int i = 0; i < brightness; i++) {
    analogWrite(greenPin, i + 1);
    analogWrite(redPin, brightness - i - 1);
    delay(interval);
  }
  for(int i = 0; i < brightness; i++) {
    analogWrite(bluePin, i + 1);
    analogWrite(greenPin, brightness - i - 1);
    delay(interval);
  }
  for(int i = 0; i < brightness; i++) {
    analogWrite(bluePin, brightness - i - 1);
    delay(interval);
  }
}
